#!/usr/bin/python
# -*- coding: utf-8 -*-

# Copyright (C) since 2014 NTT DATA Corporation
#
# This program is free software; you can redistribute it and/or
# Modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, version 2.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details

import sys
import os
import json
from optparse import OptionParser

#### main method###
if __name__ == "__main__":
    myusage = "%prog [-i INPUT] [-o OUTPUT]"
    psr = OptionParser(usage=myusage)
    psr.add_option("-i", "--input"  , action="store", type="string", dest="input", default="", metavar="INPUT", help="input filename")
    psr.add_option("-o", "--output"  , action="store", type="string", dest="output"   , default="",   metavar="OUTPUT"       , help="output filenmae")
    (opts, args) = psr.parse_args(sys.argv)
    
    ### argument check ###
    if len(opts.input) == 0:
        print "-i INPUT is required input"
        psr.print_help()
        sys.exit(1)
    
    if len(opts.output) == 0:
        print "-o OUTPUT is required input"
        psr.print_help()
        sys.exit(1)

    # file input
    inputFilePath = os.path.abspath(opts.input.rstrip("\""))
    if not os.path.isfile(inputFilePath):
        print inputFilePath + " File Not Found"
        sys.exit(1)
    try:
        f = open(inputFilePath,"r")
        data = json.load(f)
    except Exception, e:
        print str(e)
        sys.exit(1)
    finally:
        f.close()
     
    tarillist=[]
    for i,value in enumerate(data["event"]):
        tmplist=[]
        tmplist.append("created" + ":" + value["created"])
        tmplist.append("type" + ":" + value["type"])
        
        del value["created"]
        del value["type"]
        tmplist.append(value)
        tarillist.append(tmplist)
    # list sort
    tarillist = sorted(tarillist, key=lambda x:x[0], reverse=False)
    
    # file write
    try:
        outputFilePath = os.path.abspath(opts.output.rstrip("\""))
        f = open(outputFilePath,"w")
        for logstr in tarillist:
            jsonlist=json.dumps(logstr, sort_keys=True, indent=4)
            string=""
            flag=True
            for s in jsonlist:
                if flag:
                    if s != " ":
                        string = string + s
                        if s =="\"":
                            flag=False
                else:
                    string = string + s
                    if s =="\"":
                        flag=True
            string = string.replace('\n','')
            f.write(string + "\n")
    except Exception, e:
        print str(e)
        sys.exit(1)
    finally:
        f.close()
        
    sys.exit(0)

